## com.typesafe.config.impl
Class ConfigImpl

    java.lang.Object
      com.typesafe.config.impl.ConfigImpl

    public class ConfigImpl

extends java.lang.Object

This is public but is only supposed to be used by the "config" package

Constructor Summary
`ConfigImpl()`

Method Summary
`static Config` `computeCachedConfig(java.lang.ClassLoader loader, java.lang.String key, java.util.concurrent.Callable<Config> updater)` For use ONLY by library internals, DO NOT TOUCH not guaranteed ABI
`static Config` `defaultReference(java.lang.ClassLoader loader)` For use ONLY by library internals, DO NOT TOUCH not guaranteed ABI
`static Config` `emptyConfig(java.lang.String originDescription)` For use ONLY by library internals, DO NOT TOUCH not guaranteed ABI
`static Config` `envVariablesAsConfig()` For use ONLY by library internals, DO NOT TOUCH not guaranteed ABI
`static ConfigValue` `fromAnyRef(java.lang.Object object, java.lang.String originDescription)` For use ONLY by library internals, DO NOT TOUCH not guaranteed ABI
`static ConfigObject` `fromPathMap(java.util.Map<java.lang.String,? extends java.lang.Object> pathMap, java.lang.String originDescription)` For use ONLY by library internals, DO NOT TOUCH not guaranteed ABI
`static ConfigObject` `parseFileAnySyntax(java.io.File basename, ConfigParseOptions baseOptions)` For use ONLY by library internals, DO NOT TOUCH not guaranteed ABI
`static ConfigObject` `parseResourcesAnySyntax(java.lang.Class<?> klass, java.lang.String resourceBasename, ConfigParseOptions baseOptions)` For use ONLY by library internals, DO NOT TOUCH not guaranteed ABI
`static ConfigObject` `parseResourcesAnySyntax(java.lang.String resourceBasename, ConfigParseOptions baseOptions)` For use ONLY by library internals, DO NOT TOUCH not guaranteed ABI
`static void` `reloadSystemPropertiesConfig()` For use ONLY by library internals, DO NOT TOUCH not guaranteed ABI
`static Config` `systemPropertiesAsConfig()` For use ONLY by library internals, DO NOT TOUCH not guaranteed ABI
`static void` `trace(java.lang.String message)`
`static boolean` `traceLoadsEnabled()` For use ONLY by library internals, DO NOT TOUCH not guaranteed ABI

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigImpl

    public ConfigImpl()

Method Detail

### computeCachedConfig

    public static Config computeCachedConfig(java.lang.ClassLoader loader,
                                             java.lang.String key,
                                             java.util.concurrent.Callable<Config> updater)

  For use ONLY by library internals, DO NOT TOUCH not guaranteed ABI

### parseResourcesAnySyntax

    public static ConfigObject parseResourcesAnySyntax(java.lang.Class<?> klass,
                                                       java.lang.String resourceBasename,
                                                       ConfigParseOptions baseOptions)

  For use ONLY by library internals, DO NOT TOUCH not guaranteed ABI

### parseResourcesAnySyntax

    public static ConfigObject parseResourcesAnySyntax(java.lang.String resourceBasename,
                                                       ConfigParseOptions baseOptions)

  For use ONLY by library internals, DO NOT TOUCH not guaranteed ABI

### parseFileAnySyntax

    public static ConfigObject parseFileAnySyntax(java.io.File basename,
                                                  ConfigParseOptions baseOptions)

  For use ONLY by library internals, DO NOT TOUCH not guaranteed ABI

### emptyConfig

    public static Config emptyConfig(java.lang.String originDescription)

  For use ONLY by library internals, DO NOT TOUCH not guaranteed ABI

### fromAnyRef

    public static ConfigValue fromAnyRef(java.lang.Object object,
                                         java.lang.String originDescription)

  For use ONLY by library internals, DO NOT TOUCH not guaranteed ABI

### fromPathMap

    public static ConfigObject fromPathMap(java.util.Map<java.lang.String,? extends java.lang.Object> pathMap,
                                           java.lang.String originDescription)

  For use ONLY by library internals, DO NOT TOUCH not guaranteed ABI

### systemPropertiesAsConfig

    public static Config systemPropertiesAsConfig()

  For use ONLY by library internals, DO NOT TOUCH not guaranteed ABI

### reloadSystemPropertiesConfig

    public static void reloadSystemPropertiesConfig()

  For use ONLY by library internals, DO NOT TOUCH not guaranteed ABI

### envVariablesAsConfig

    public static Config envVariablesAsConfig()

  For use ONLY by library internals, DO NOT TOUCH not guaranteed ABI

### defaultReference

    public static Config defaultReference(java.lang.ClassLoader loader)

  For use ONLY by library internals, DO NOT TOUCH not guaranteed ABI

### traceLoadsEnabled

    public static boolean traceLoadsEnabled()

  For use ONLY by library internals, DO NOT TOUCH not guaranteed ABI

### trace

    public static void trace(java.lang.String message)